TOWA THAI CO.,LTD. - Parent project #983

[PJ230020] Handy terminal app for Windows HT
11 Apr 2025 16:04 - Karnthida Wannasiwaporn

Status: Closed Start date: 11 Apr 2025
Priority: Normal Due date:

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour
Description

History

#1 - 11 Apr 2025 16:04 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 03 Dec 2025 16:04 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed

19 Dec 2025
